import { SpellingDictionary, SuggestionResult, SuggestionCollector } from './SpellingDictionary';
export declare class SpellingDictionaryCollection implements SpellingDictionary {
    readonly dictionaries: SpellingDictionary[];
    readonly name: string;
    readonly options: {};
    readonly mapWord: (word: string) => string;
    readonly wordsToFlag: Set<string>;
    constructor(dictionaries: SpellingDictionary[], name: string, wordsToFlag: string[]);
    has(word: string): boolean;
    suggest(word: string, numSuggestions: number): SuggestionResult[];
    readonly size: number;
    genSuggestions(collector: SuggestionCollector): SuggestionCollector;
}
export declare function createCollection(dictionaries: SpellingDictionary[], name: string, wordsToFlag?: string[]): SpellingDictionaryCollection;
export declare function isWordInAnyDictionary(dicts: SpellingDictionary[], word: string): boolean;
export declare function createCollectionP(dicts: Promise<SpellingDictionary>[], name: string, wordsToFlag: string[]): Promise<SpellingDictionaryCollection>;
